Google play service resource not found

I have update SDK using SDK manger,after updating SDK “google-play-services_lib” not getting complied,Its showing following error.

**extras\google\google_play_services\libproject\google-play-services_lib\res\values-v11\appinvite_styles.xml:5: error: Error retrieving parent for item: No resource found that matches the given name '@android:style/Theme.Holo.Light.DialogWhenLarge.NoActionBar'.

extras\google\google_play_services\libproject\google-play-services_lib\res\values-v21\appinvite_styles.xml:5: error: Error retrieving parent for item: No resource found that matches the given name '@android:style/Theme.Material.Light.DialogWhenLarge.NoActionBar'.

 extras\google\google_play_services\libproject\google-play-services_lib\res\values-v11\appinvite_styles.xml:5: error: Error retrieving parent for item: No resource found that matches the given name '@android:style/Theme.Holo.Light.DialogWhenLarge.NoActionBar'.

 extras\google\google_play_services\libproject\google-play-services_lib\res\values-v21\appinvite_styles.xml:5: error: Error retrieving parent for item: No resource found that matches the given name '@android:style/Theme.Material.Light.DialogWhenLarge.NoActionBar'.**

Any Help appreciated.

  • Android NDK build with ANT script
  • How to Lock/Unlock screen programmatically?
  • Acquiring Sensor's data on Android Platforms
  • Rounded Inner corners with transparent inside frame
  • Android Studio Git .gitignore vs Project > Settings > Version Control > Ignored Files
  • MapView in a Fragment (Honeycomb)
  • Following is xml(under “values-v11”) which is giving error,

    <?xml version="1.0" encoding="utf-8"?>
    

    <!-- Base preview application theme. -->
    <style name="Theme.AppInvite.Preview.Base" parent="@android:style/Theme.Holo.Light.DialogWhenLarge.NoActionBar"/>
    

    Related posts:

    What is meaning of negative dbm in signal strength?
    android GCM doesn&#039;t work
    How to add map fragment programmatically
    Android/Eclipse: how can I add an image in the res/drawable folder?
    How to use OpenCV to process image so that the text become sharp and clear?
    how to set a title for spinner which is not selectable..?
  • Reload current Activity clicking on active Tab
  • How to set the image from drawable dynamically in android?
  • Bitmap getWidth returns wrong value
  • Workaround mapping between NetworkInfo and NetworkInterface
  • Android as SIP to GSM gateway
  • Errors running builder 'Android Resource Manager' on ADT
  • 5 Solutions collect form web for “Google play service resource not found”

    This may fix your problem

    1. Right side click on your project select Properties -> Select Android
    2. Under Project Build Target, check *Android 6.0 or to the latest API.
    3. Build

    One important thing : While importing library projects always copy to your workspace.

    UPDATED:
    Reason : Most of time google play service lib access resources from lastest API available. that’s why you need to target to the latest.

    Happy_Coding;

    This is the solution it worked for me (after a few hours):

    1) Unistall the Google Play Services Lib from “Android SDK Manager”. It will ask you if you want to delete also the directory in your workspace. Answer “Yes”

    2) Download again the Google Play Library from the “Android SDK Manager” and follow the steps to import it to your workspace

    3) Set Android Target for google-play-services-lib for 5.0.1 (these are the versions for me worked)

    4) In the project you want to import, right click->properties->Android . Add again the google-play-services-lib library.

    5) Set Android Target for your project to 5.0.1 (the same case that point 3: I guess it can work for other versions)

    6) Only in case the above solution will not work, copy the android-support-v4.jar from <…>/sdk/extras/android/support/v4 to the “libs” folder of your project.

    I hope it works for you

    For the new Google Play Services, you need change the project target in the project.properties file (The Google Play Services Lib project, not your project):

    In the below file:

    google-play-services_lib/project.properties

    Change the below line

    target=**android-9*
    

    to:

    target=**android-23**
    

    Tried to compile your project with the android target-sdk-version="21".
    It worked for me.

    I fixed it by changing the minSdkVersion in google-play-services_lib manifest to the minimum SDK version used by my app. Example: <uses-sdk android:minSdkVersion="14"/>

    Android Babe is a Google Android Fan, All about Android Phones, Android Wear, Android Dev and Android Games Apps and so on.